Show / Hide Table of Contents

# Class SDLWindowGL

OpenGL specialization of SimpleSDLWindow, for setting up additional necessary states during window creation.

##### Inheritance

System.Object
SimpleSDLWindow
SDLWindowGL

##### Implements

System.IDisposable

##### Inherited Members

SimpleSDLWindow.CreateColorKey(Single, Single, Single)
SimpleSDLWindow.Window
SimpleSDLWindow.WantsClose
SimpleSDLWindow.OnSDLEvent
SimpleSDLWindow.GetHWnd()
SimpleSDLWindow.MakeTransparent(UInt32)
SimpleSDLWindow.ProcessEvents()
SimpleSDLWindow.Dispose(Boolean)
SimpleSDLWindow.Dispose()
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class SDLWindowGL : SimpleSDLWindow, IDisposable

### Methods

| Improve this Doc View Source

#### InitForRenderer(IRenderer)

Initialize this window for use with an OpenGL renderer. Sets necessary flags and attributes.

##### Declaration

    protected override void InitForRenderer(IRenderer renderer)

##### Parameters

Type | Name | Description
--- | --- | ---
IRenderer | renderer | The OpenGL renderer.

##### Overrides

SimpleSDLWindow.InitForRenderer(IRenderer)
| Improve this Doc View Source

#### WindowCreationFlags(WindowCreateInfo)

Return the set of window flags necessary to create a window matching what is requested in `createInfo`

##### Declaration

    protected override SDL.SDL_WindowFlags WindowCreationFlags(WindowCreateInfo createInfo)

##### Parameters

Type | Name | Description
--- | --- | ---
WindowCreateInfo | createInfo | The requested creation parameters for the window.

##### Returns

Type | Description
--- | ---
SDL.SDL_WindowFlags | The full set of SDL_WindowFlags to use when creating this window.

##### Overrides

SimpleSDLWindow.WindowCreationFlags(WindowCreateInfo)

### Implements

System.IDisposable